#!/bin/bash

if [ x$usearch == x ] ; then
	echo Must set \$usearch >> /dev/stderr
	exit 1
fi

out=../out

rm -rf $out
mkdir -p $out

$usearch -fastq_eestats2 ../fq/reads.fq -output $out/eestats2.txt

../py/fastq_strip_barcode_relabel2.py ../fq/reads.fq CCGTCAATTCMTTTRAGT ../misc/barcodes.fa Read \
 | sed "-es/barcodelabel=/sample=/" > $out/relabel.fq

$usearch -fastq_filter $out/relabel.fq -fastq_maxee 1.0 -fastq_trunclen 350 -fastaout $out/filtered.fa \
  -relabel Filt -log $out/filter.log

$usearch -derep_fulllength $out/filtered.fa -sizeout -relabel Uniq -fastaout $out/uniques.fa -log $out/derep.log

$usearch -cluster_otus $out/uniques.fa -minsize 2 -otus $out/otus.fa -relabel Otu -log $out/cluster_otus.log

$usearch -utax $out/otus.fa -db ../utax/utax_16s_250.udb -strand both \
  -fastaout $out/otus_tax.fa -utax_cutoff 0.9 -utaxout $out/utax.txt -log $out/utax.log

$usearch -usearch_global $out/relabel.fq -db $out/otus_tax.fa -strand plus -id 0.97 -log $out/make_otutab.log \
  -otutabout $out/otutab.txt -biomout $out/otutab.json -mothur_shared_out $out/otutab.mothur 
